ScXMLECMAScriptEvaluator(3)

NAME
ScXMLECMAScriptEvaluator - evaluator for the ECMAScript profile.

SYNOPSIS

#include <Inventor/scxml/ScXMLECMAScriptEvaluator.h>

Inherits ScXMLEvaluator.

  Public Member Functions
virtual SoType getTypeId (void) const
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.
virtual ScXMLDataObj * evaluate (const char *expression) const
virtual SbBool setAtLocation (const char *location, ScXMLDataObj *obj)
virtual ScXMLDataObj * locate (const char *location) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
static void cleanClass (void)

  Additional Inherited Members

Detailed Description

evaluator for the ECMAScript profile.

Member Function Documentation

  SoType ScXMLECMAScriptEvaluator::getTypeId (void) const [virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements ScXMLEvaluator.

  ScXMLDataObj * ScXMLECMAScriptEvaluator::evaluate (const char * expression) const [virtual]

Implements ScXMLEvaluator.

  SbBool ScXMLECMAScriptEvaluator::setAtLocation (const char * location, ScXMLDataObj * obj) [virtual]

Implements ScXMLEvaluator.

  ScXMLDataObj * ScXMLECMAScriptEvaluator::locate (const char * location) const [virtual]

Implements ScXMLEvaluator.

Author

Generated automatically by Doxygen for Coin from the source code.